import os
from distutils.core import setup
from distutils.sysconfig import get_config_var

plugindir = os.path.join(get_config_var('LIBDIR'),'nagios/plugins')


fd = open('VERSION','rw')
version = fd.read().strip()
fd.close()

setup(
    name = 'nordugrid-arc-nagios-plugins',
    version = version,
    description = 'Nagios Probes for Arc CEs',
    url = 'http://www.nordugrid.org/',
    author = 'Petter Urkedal',
    author_email = 'urkedal@nbi.dk',

    requires = ['arc', 'argparse', 'ldap', 'ply'],
    packages = ['arcnagios', 'arcnagios.plugins', 'arcnagios.jobplugins'],
    data_files = [
	(plugindir, [
	    'plugins/check_arcce',
	    'plugins/check_arcinfosys',
	    'plugins/check_gridstorage',
	])
    ],
)

